diff --git a/coders/txt.c b/coders/txt.c
index 56da485825..f6f671ae38 100644
--- a/coders/txt.c
+++ b/coders/txt.c
@@ -565,6 +565,7 @@ static Image *ReadTXTImage(const ImageInfo *image_info,ExceptionInfo *exception)
           break;
       }
     }
+    *text='\0';
     (void) ReadBlobString(image,text);
     if (LocaleNCompare((char *) text,MagickID,strlen(MagickID)) == 0)
       {
